Bug 108761 - Expired client authentication token, Error Class Code: 34
Expired client authentication token, Error Class Code: 34
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-11-01 01:47 EST by Larry Kenan
Modified: 2007-04-18 12:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-24 16:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Larry Kenan 2003-11-01 01:47:31 EST
Description of problem: up2date download - auth token expires after 1

Version-Release number of selected component (if applicable):
latest kernal binary

How reproducible:
Use 33KB/sec modem and large file

Steps to Reproduce:
1. run up2date to download a large file
Actual results:
[Fri Oct 31 21:26:10 2003] up2date updating login info
[Fri Oct 31 21:26:10 2003] up2date logging into up2date server
[Fri Oct 31 21:26:13 2003] up2date successfully retrieved
authentication token from up2date server
[Fri Oct 31 21:26:50 2003] up2date availablePackageList from network
[Fri Oct 31 22:28:04 2003] up2date A protocol error occurred:
Authorization Required , attempt #1,
[Fri Oct 31 22:28:04 2003] up2date Auth token timeout occurred
Error Message:
    Expired client authentication token
Error Class Code: 34
Error Class Info: Client session token has expired.
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Other large downloads have the same problem

Expected results:
My "Network Demo User" letter says that I have "7 days of full
bandwidth and 24/7 availability".

Additional info:
After the failure, up2date thinks the failed file was downloaded it is
not listed when doing a retry

Note You need to log in before you can comment on or make changes to this bug.